﻿using System.Collections.Generic;
using Orchard.Mvc.Routes;
using Orchard.WebApi.Routes;

namespace Orchard.BlogsApi {
    public class Routes : IHttpRouteProvider {

        public void GetRoutes(ICollection<RouteDescriptor> routes) {
            foreach (var routeDescriptor in GetRoutes())
                routes.Add(routeDescriptor);
        }

        public IEnumerable<RouteDescriptor> GetRoutes() {
            var httpRouteDescriptor = new HttpRouteDescriptor
            {
                Name = "BlogsApi",
                Priority = -100,
                RouteTemplate = "api/blogs/{blogId}",
                Defaults = new
                {
                    area = "Orchard.BlogsApi",
                    controller = "BlogApi",
                    action = "ListBlogPosts"
                }
            };

            return new[] { httpRouteDescriptor };
        }
    }
}